List endpoints

GET
/v1/hooks/applications/{application}/endpoints

The application's endpoints, oldest first. Secrets are never included.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

application*string

The application's id (happ_…) or your uid for it.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The application's endpoints.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.hooks.endpoints.list("customer_8812");
{  "object": "list",  "data": [    {      "object": "hook_endpoint",      "id": "hep_01k7c8m4q2f3e9v6t5r1n0p8yz",      "application_id": "happ_01k7c8m4q2f3e9v6t5r1n0p8yz",      "url": "https://example.com/webhooks",      "description": "Production",      "filter_types": [        "invoice.paid"      ],      "rate_limit_per_second": null,      "enabled": true,      "disabled_reason": null,      "disabled_at": null,      "failing_since": null,      "previous_secret_expires_at": null,      "metadata": {},      "created_at": "2026-01-15T09:30:00.000Z",      "updated_at": "2026-01-15T09:30:00.000Z"    }  ],  "has_more": false}